org.apache.solr.core.snapshots

## Class CollectionSnapshotMetaData

- java.lang.Object
- - org.apache.solr.core.snapshots.CollectionSnapshotMetaData

- All Implemented Interfaces:
    org.noggit.JSONWriter.Writable

      public class CollectionSnapshotMetaData
      extends Object
      implements org.noggit.JSONWriter.Writable

  This class defines the meta-data about a collection level snapshot

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CollectionSnapshotMetaData.CoreSnapshotMetaData`
    `static class` | `CollectionSnapshotMetaData.SnapshotStatus`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CollectionSnapshotMetaData(Map<String,Object> data)`
    `CollectionSnapshotMetaData(NamedList<Object> data)`
    `CollectionSnapshotMetaData(String name)`
    `CollectionSnapshotMetaData(String name, CollectionSnapshotMetaData.SnapshotStatus status, Date creationTime, List<CollectionSnapshotMetaData.CoreSnapshotMetaData> replicaSnapshots)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Date` | `getCreationDate()`
    `String` | `getName()`
    `List<CollectionSnapshotMetaData.CoreSnapshotMetaData>` | `getReplicaSnapshots()`
    `List<CollectionSnapshotMetaData.CoreSnapshotMetaData>` | `getReplicaSnapshotsForShard(String shardId)`
    `Collection<String>` | `getShards()`
    `CollectionSnapshotMetaData.SnapshotStatus` | `getStatus()`
    `boolean` | `isSnapshotExists(String shardId, Replica r)`
    `NamedList` | `toNamedList()`
    `void` | `write(org.noggit.JSONWriter arg0)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CollectionSnapshotMetaData

          public CollectionSnapshotMetaData(String name)

    - #### CollectionSnapshotMetaData

          public CollectionSnapshotMetaData(String name,
                                            CollectionSnapshotMetaData.SnapshotStatus status,
                                            Date creationTime,
                                            List<CollectionSnapshotMetaData.CoreSnapshotMetaData> replicaSnapshots)

    - #### CollectionSnapshotMetaData

          public CollectionSnapshotMetaData(Map<String,Object> data)

    - #### CollectionSnapshotMetaData

          public CollectionSnapshotMetaData(NamedList<Object> data)

  - ### Method Detail

    - #### getName

          public String getName()

    - #### getStatus

          public CollectionSnapshotMetaData.SnapshotStatus getStatus()

    - #### getCreationDate

          public Date getCreationDate()

    - #### getReplicaSnapshots

          public List<CollectionSnapshotMetaData.CoreSnapshotMetaData> getReplicaSnapshots()

    - #### getReplicaSnapshotsForShard

          public List<CollectionSnapshotMetaData.CoreSnapshotMetaData> getReplicaSnapshotsForShard(String shardId)

    - #### isSnapshotExists

          public boolean isSnapshotExists(String shardId,
                                          Replica r)

    - #### getShards

          public Collection<String> getShards()

    - #### write

          public void write(org.noggit.JSONWriter arg0)

      Specified by:
        `write` in interface `org.noggit.JSONWriter.Writable`

    - #### toNamedList

          public NamedList toNamedList()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.